Bug 814515 - fence_xvm terminated with signal 6 when calling tcp_wait_connect()
fence_xvm terminated with signal 6 when calling tcp_wait_connect()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fence-virt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ryan McCabe
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 23:55 EDT by Andrew Beekhof
Modified: 2015-02-18 06:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:16:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Beekhof 2012-04-19 23:55:54 EDT
Description of problem:

fence_xvm aborts after logging:

 *** buffer overflow detected ***: fence_xvm terminated

Version-Release number of selected component (if applicable):

fence-virt-0.3.0-2.fc17.x86_64

How reproducible:

rare

Steps to Reproduce:

Unknown, pops up occasionally when running pacemaker's CTS test suite.
Possibly running multiple instances at the same time?

Interestingly, tcp_wait_connect() is being called with lfd=-1 which looks suspicious:

337					fd = tcp_wait_connect(lfd, args->retr_time);
  

Actual results:

Boom

Expected results:

No boom


Additional info:

Core was generated by `fence_xvm'.
Program terminated with signal 6, Aborted.
#0  0x0000003500235915 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install glibc-2.15-28.fc17.x86_64 libgcc-4.7.0-1.fc17.x86_64 nspr-4.9-1.fc17.x86_64 nss-3.13.3-3.fc17.x86_64 nss-softokn-3.13.3-1.fc17.x86_64 nss-softokn-freebl-3.13.3-1.fc17.x86_64 nss-util-3.13.3-3.fc17.x86_64
(gdb) where
#0  0x0000003500235915 in raise () from /lib64/libc.so.6
#1  0x00000035002370c8 in abort () from /lib64/libc.so.6
#2  0x000000350027563b in __libc_message () from /lib64/libc.so.6
#3  0x0000003500309757 in __fortify_fail () from /lib64/libc.so.6
#4  0x0000003500307910 in __chk_fail () from /lib64/libc.so.6
#5  0x0000003500309707 in __fdelt_warn () from /lib64/libc.so.6
#6  0x0000000000401fff in tcp_wait_connect (retry_tenths=20, lfd=-1) at mcast.c:70
#7  mcast_fence_virt (args=args@entry=0x7ffffe37b7f0) at mcast.c:337
#8  0x0000000000401882 in main (argc=1, argv=0x7ffffe37b948) at main.c:120

Code:

(gdb) up 
#6  0x0000000000401fff in tcp_wait_connect (retry_tenths=20, lfd=-1) at mcast.c:70
70		FD_SET(lfd, &rfds);
(gdb) up 
#7  mcast_fence_virt (args=args@entry=0x7ffffe37b7f0) at mcast.c:337
337					fd = tcp_wait_connect(lfd, args->retr_time);
(gdb) up
#8  0x0000000000401882 in main (argc=1, argv=0x7ffffe37b948) at main.c:120
120			ret = mcast_fence_virt(&args);


(gdb) bt full
#0  0x0000003500235915 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x00000035002370c8 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x000000350027563b in __libc_message () from /lib64/libc.so.6
No symbol table info available.
#3  0x0000003500309757 in __fortify_fail () from /lib64/libc.so.6
No symbol table info available.
#4  0x0000003500307910 in __chk_fail () from /lib64/libc.so.6
No symbol table info available.
#5  0x0000003500309707 in __fdelt_warn () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000401fff in tcp_wait_connect (retry_tenths=20, lfd=-1) at mcast.c:70
        __d = 18446744073709551615
        fd = <optimized out>
        rfds = {fds_bits = {0 <repeats 16 times>}}
        n = <optimized out>
        tv = {tv_sec = 0, tv_usec = 0}
#7  mcast_fence_virt (args=args@entry=0x7ffffe37b7f0) at mcast.c:337
        ipl = {tqh_first = 0x1a0e310, tqh_last = 0x1a0e3b0}
        key = "beekhof\n", '\000' <repeats 4087 times>
        tv = {tv_sec = 1334889001, tv_usec = 232132}
        lfd = -1
        key_len = <optimized out>
        fd = 0
        attempts = 14
        seqno = 232132
#8  0x0000000000401882 in main (argc=1, argv=0x7ffffe37b948) at main.c:120
        args = {domain = 0x0, op = FENCE_DEVSTATUS, mode = MODE_MULTICAST, debug = 0, timeout = 30, retr_time = 20, flags = (unknown: 0), net = {addr = 0x407803 "225.0.0.12", key_file = 0x19f8010 "/etc/cluster/fence_xvm.key", port = 1229, hash = HASH_SHA256, auth = AUTH_SHA256, family = 2, ifindex = 0}, serial = {device = 0x0, 
            speed = 0x19f8040 "115200,8N1", address = 0x19f8060 "10.0.2.179"}}
        my_options = 0x4072e8 "di:a:p:r:C:c:k:M:H:uo:t:?hV"
        ret = 0
Comment 1 Andrew Beekhof 2012-04-20 00:02:32 EDT
Oh, there was one more log message that I missed the first time which seems to back up my "running multiple instances at the same time" theory:

Failed to listen: Address already in use

Looks like we're just not bailing out properly.
Comment 2 Fedora End Of Life 2013-07-03 22:59:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Andrew Beekhof 2013-07-04 00:41:20 EDT
Can we not get this fixed?
Comment 4 Ryan McCabe 2013-07-10 17:33:37 EDT
Sorry, forgot to add fence-virt on fedora to my bugzilla query.

This should be fixed in upstream commit 04710b40794fb31e9cd70c4a205decf6b40206fd

I'll do a new build for Fedora shortly.
Comment 5 Fedora Update System 2013-07-10 17:57:52 EDT
fence-virt-0.3.0-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fence-virt-0.3.0-14.fc19
Comment 6 Fedora Update System 2013-07-11 23:17:49 EDT
Package fence-virt-0.3.0-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fence-virt-0.3.0-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12851/fence-virt-0.3.0-14.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-03 14:59:06 EST
fence-virt-0.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fence-virt-0.3.1-1.fc19
Comment 8 Fedora End Of Life 2015-01-09 17:37:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:16:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.